
function love.load()
	
	-- Player variables
	player_mob = love.graphics.newImage("player.png")
	player_x = 200
	player_y = 200
	speed = 350
	
	ex_x = 300 -- The x-coordinate of the white rectangle
	ex_y = 300 -- The y-coordinate of the white rectangle
end

function love.update(dt)

	-- Move functions
	if love.keyboard.isDown("right") then
		player_x = player_x + (speed * dt)
	elseif love.keyboard.isDown("left") then
		player_x = player_x - (speed * dt)
	end

	if love.keyboard.isDown("up") then
		player_y = player_y - (speed * dt)
	elseif love.keyboard.isDown("down") then
		player_y = player_y + (speed * dt)
	end 
end

function love.draw()
	love.graphics.draw(player_mob, player_x, player_y) -- Draws the player

	love.graphics.rectangle("fill", ex_x, ex_y, 25, 25) -- Draws the rectangle at the coordinates set above
	
	if CheckCollision(player_x, player_y, 25, 25, ex_x, ex_y, 25, 25) then -- Checks if player and the white rectangle are colliding, if that true -> Print "Ouch!"
		love.graphics.print("Ouch!", 10, 10)
	end
	
end

-- Collision detection function.
-- Checks if a and b overlap.
-- w and h mean width and height.
function CheckCollision(ax1, ay1, aw, ah, bx1, by1, bw, bh)

  local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
  return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end


--[[

Copied from http://www.headchant.com

Parameters of the function:

ax1 = x-coordinate of the first object
ay1 = y-coordinate of the first object
aw  = width of the first object, in this case you can set easily the width of your player image (25)
ah  = height of the first object, in this case you can set easily the height of your player image (25)

bx1 = x-coordinate of the second object
by1 = y-coordinate of the second object
bw  = width of the second object, in this case 25
bh  = height of the second object, in this case also 25

]]--

